// Run Core with debugging (real missions won't want debugging, so call with [] instead).
["DEBUG_CLIENT_SERVER"] call compile preprocessFileLineNumbers "SPON\Core\initCore.sqf";

// Initialise the HoloMap system.
[] call compile preprocessFileLineNumbers "SPON\HoloMap\initHoloMap.sqf";

// Demo mission-specific config after this...

// Static (Warfare) HQ APC with projector inside the tent.
[holoMapStaticHQ, {staticHQ}, 1000, 1, west] call SPON_Holo_projector;

// Example base setup, connected to mobile HQ APC. Sensor switchable using PC.
[holoMapMobileHQ, {mobileHQ1}, 1000, 1, west] call SPON_Holo_projector;
mobileHQPC addAction ["Switch to MHQ1", "SPON\HoloMap\switchSensorAction.sqf", [holoMapMobileHQ, {mobileHQ1}], 0, false, true];
mobileHQPC addAction ["Switch to MHQ2", "SPON\HoloMap\switchSensorAction.sqf", [holoMapMobileHQ, {mobileHQ2}], 0, false, true];
mobileHQPC addAction ["Switch to MHQ3", "SPON\HoloMap\switchSensorAction.sqf", [holoMapMobileHQ, {mobileHQ3}], 0, false, true];

// Create the actual HoloMap at the position of a game-logic:
[holoMap1, {westRadarTower}, 2000, 1, west] call SPON_Holo_projector;
[holoMap2, {westRadarTower}, 10000, 1.5, west] call SPON_Holo_projector;
[holoMap3, {westRadarTower}, 50000, 2, west] call SPON_Holo_projector;

// Create a tracking AWACS map.
[holoMapAwacs1, {awacs}, 2000, 1, west] call SPON_Holo_projector;
[holoMapAwacs2, {awacs}, 10000, 1.5, west] call SPON_Holo_projector;
[holoMapAwacs3, {awacs}, 50000, 2, west] call SPON_Holo_projector;

// Create enemy (EAST) map.
[holoMapEast1, {eastRadarTower}, 2000, 1, east] call SPON_Holo_projector;
[holoMapEast2, {eastRadarTower}, 10000, 1.5, east] call SPON_Holo_projector;
[holoMapEast3, {eastRadarTower}, 50000, 2, east] call SPON_Holo_projector;

// Create remote, large-area map from 4 quadrants.
[holoMapNW, {remoteRadarTowerNW}, 2000, 1, west] call SPON_Holo_projector;
[holoMapNE, {remoteRadarTowerNE}, 2000, 1, west] call SPON_Holo_projector;
[holoMapSW, {remoteRadarTowerSW}, 2000, 1, west] call SPON_Holo_projector;
[holoMapSE, {remoteRadarTowerSE}, 2000, 1, west] call SPON_Holo_projector;

// Create radar jammers.
[jammer, 1000] call SPON_Holo_setJammingRange;
[jammerPlane, 2000] call SPON_Holo_setJammingRange;
[jammerTower, 3000] call SPON_Holo_setJammingRange;

// Create stealth craft...
[stealthHelo, 0.5] call SPON_Holo_setStealth; // This will be detected at 50% of normal range.
[superStealthHelo, 0.9] call SPON_Holo_setStealth; // This will be detected at 10% of normal range.
